ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/svn/ircd-hybrid-8/configure
(Generate patch)

Comparing ircd-hybrid-7.2/configure (file contents):
Revision 915 by michael, Wed Nov 7 23:42:08 2007 UTC vs.
Revision 925 by michael, Mon Nov 12 20:59:02 2007 UTC

# Line 1501 | Line 1501 | Optional Features:
1501    --enable-fast-install[=PKGS]
1502                            optimize for fast installation [default=yes]
1503    --disable-libtool-lock  avoid locking (might break parallel builds)
1504 +  --disable-zlib          Disable ziplinks support
1505    --enable-openssl=DIR       Enable OpenSSL support (DIR optional).
1506    --disable-openssl            Disable OpenSSL support.
1507 +  --enable-assert         Enable assert() statements
1508 +  --enable-small-net      Enable small network support.
1509    --enable-kqueue         Force kqueue usage.
1510    --enable-epoll          Force epoll usage.
1511    --enable-devpoll        Force devpoll usage.
# Line 1524 | Line 1527 | Optional Packages:
1527    --with-pic              try to use only PIC/non-PIC objects [default=use
1528                            both]
1529    --with-tags[=TAGS]      include additional configurations [automatic]
1530 +  --with-zlib-path=DIR    Path to libz.so for ziplinks support.
1531    --with-nicklen=<value>  Set nickname length (default 9).
1532    --with-topiclen=<value> Set topic length (default 160).
1529  --lclient-heap-size=<value>
1530                          Set local client heap size (default 256).
1531  --client-heap-size=<value>
1532                          Set client heap size (default 256).
1533  --channel-heap-size=<value>
1534                          Set channel heap size (default 256).
1535  --dbuf-heap-size=<value>
1536                          Set dbuf heap size (default 64).
1537  --dnode-heap-size=<value>
1538                          Set dnode heap size (default 256).
1539  --ban-heap-size=<value> Set ban heap size (default 128).
1540  --topic-heap-size=<value>
1541                          Set topic heap size (default 256).
1542  --ircd-heap-size=<value>
1543                          Set ircd heap size (default 8).
1544  --mqueue-size=<value>   Set mqueue heap size (default 256).
1545  --fmsg-size=<value>     Set fmsg heap size (default 256).
1546  --nickname-history-length=<value>
1547                          Set length of nickname history list (default 1500).
1533    --with-syslog-facility=LOG
1534                            Define the syslog facility to use (default:
1535                            LOG_LOCAL4)
# Line 2521 | Line 2506 | ac_config_headers="$ac_config_headers co
2506  
2507  
2508  
2509 +
2510   #ltdl stuff
2511    case $enable_ltdl_convenience in
2512    no) { { echo "$as_me:$LINENO: error: this package needs a convenience libltdl" >&5
# Line 2588 | Line 2574 | fi
2574  
2575  
2576  
2577 +
2578   # Checks for programs.
2579   ac_ext=c
2580   ac_cpp='$CPP $CPPFLAGS'
# Line 4768 | Line 4755 | ia64-*-hpux*)
4755    ;;
4756   *-*-irix6*)
4757    # Find out which ABI we are using.
4758 <  echo '#line 4771 "configure"' > conftest.$ac_ext
4758 >  echo '#line 4758 "configure"' > conftest.$ac_ext
4759    if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4760    (eval $ac_compile) 2>&5
4761    ac_status=$?
# Line 7505 | Line 7492 | else
7492     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7493     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7494     -e 's:$: $lt_compiler_flag:'`
7495 <   (eval echo "\"\$as_me:7508: $lt_compile\"" >&5)
7495 >   (eval echo "\"\$as_me:7495: $lt_compile\"" >&5)
7496     (eval "$lt_compile" 2>conftest.err)
7497     ac_status=$?
7498     cat conftest.err >&5
7499 <   echo "$as_me:7512: \$? = $ac_status" >&5
7499 >   echo "$as_me:7499: \$? = $ac_status" >&5
7500     if (exit $ac_status) && test -s "$ac_outfile"; then
7501       # The compiler can only warn and ignore the option if not recognized
7502       # So say no if there are warnings other than the usual output.
# Line 7795 | Line 7782 | else
7782     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7783     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7784     -e 's:$: $lt_compiler_flag:'`
7785 <   (eval echo "\"\$as_me:7798: $lt_compile\"" >&5)
7785 >   (eval echo "\"\$as_me:7785: $lt_compile\"" >&5)
7786     (eval "$lt_compile" 2>conftest.err)
7787     ac_status=$?
7788     cat conftest.err >&5
7789 <   echo "$as_me:7802: \$? = $ac_status" >&5
7789 >   echo "$as_me:7789: \$? = $ac_status" >&5
7790     if (exit $ac_status) && test -s "$ac_outfile"; then
7791       # The compiler can only warn and ignore the option if not recognized
7792       # So say no if there are warnings other than the usual output.
# Line 7899 | Line 7886 | else
7886     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
7887     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
7888     -e 's:$: $lt_compiler_flag:'`
7889 <   (eval echo "\"\$as_me:7902: $lt_compile\"" >&5)
7889 >   (eval echo "\"\$as_me:7889: $lt_compile\"" >&5)
7890     (eval "$lt_compile" 2>out/conftest.err)
7891     ac_status=$?
7892     cat out/conftest.err >&5
7893 <   echo "$as_me:7906: \$? = $ac_status" >&5
7893 >   echo "$as_me:7893: \$? = $ac_status" >&5
7894     if (exit $ac_status) && test -s out/conftest2.$ac_objext
7895     then
7896       # The compiler can only warn and ignore the option if not recognized
# Line 10248 | Line 10235 | else
10235    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
10236    lt_status=$lt_dlunknown
10237    cat > conftest.$ac_ext <<EOF
10238 < #line 10251 "configure"
10238 > #line 10238 "configure"
10239   #include "confdefs.h"
10240  
10241   #if HAVE_DLFCN_H
# Line 10348 | Line 10335 | else
10335    lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
10336    lt_status=$lt_dlunknown
10337    cat > conftest.$ac_ext <<EOF
10338 < #line 10351 "configure"
10338 > #line 10338 "configure"
10339   #include "confdefs.h"
10340  
10341   #if HAVE_DLFCN_H
# Line 12768 | Line 12755 | else
12755     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12756     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12757     -e 's:$: $lt_compiler_flag:'`
12758 <   (eval echo "\"\$as_me:12771: $lt_compile\"" >&5)
12758 >   (eval echo "\"\$as_me:12758: $lt_compile\"" >&5)
12759     (eval "$lt_compile" 2>conftest.err)
12760     ac_status=$?
12761     cat conftest.err >&5
12762 <   echo "$as_me:12775: \$? = $ac_status" >&5
12762 >   echo "$as_me:12762: \$? = $ac_status" >&5
12763     if (exit $ac_status) && test -s "$ac_outfile"; then
12764       # The compiler can only warn and ignore the option if not recognized
12765       # So say no if there are warnings other than the usual output.
# Line 12872 | Line 12859 | else
12859     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
12860     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
12861     -e 's:$: $lt_compiler_flag:'`
12862 <   (eval echo "\"\$as_me:12875: $lt_compile\"" >&5)
12862 >   (eval echo "\"\$as_me:12862: $lt_compile\"" >&5)
12863     (eval "$lt_compile" 2>out/conftest.err)
12864     ac_status=$?
12865     cat out/conftest.err >&5
12866 <   echo "$as_me:12879: \$? = $ac_status" >&5
12866 >   echo "$as_me:12866: \$? = $ac_status" >&5
12867     if (exit $ac_status) && test -s out/conftest2.$ac_objext
12868     then
12869       # The compiler can only warn and ignore the option if not recognized
# Line 14434 | Line 14421 | else
14421     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
14422     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14423     -e 's:$: $lt_compiler_flag:'`
14424 <   (eval echo "\"\$as_me:14437: $lt_compile\"" >&5)
14424 >   (eval echo "\"\$as_me:14424: $lt_compile\"" >&5)
14425     (eval "$lt_compile" 2>conftest.err)
14426     ac_status=$?
14427     cat conftest.err >&5
14428 <   echo "$as_me:14441: \$? = $ac_status" >&5
14428 >   echo "$as_me:14428: \$? = $ac_status" >&5
14429     if (exit $ac_status) && test -s "$ac_outfile"; then
14430       # The compiler can only warn and ignore the option if not recognized
14431       # So say no if there are warnings other than the usual output.
# Line 14538 | Line 14525 | else
14525     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
14526     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
14527     -e 's:$: $lt_compiler_flag:'`
14528 <   (eval echo "\"\$as_me:14541: $lt_compile\"" >&5)
14528 >   (eval echo "\"\$as_me:14528: $lt_compile\"" >&5)
14529     (eval "$lt_compile" 2>out/conftest.err)
14530     ac_status=$?
14531     cat out/conftest.err >&5
14532 <   echo "$as_me:14545: \$? = $ac_status" >&5
14532 >   echo "$as_me:14532: \$? = $ac_status" >&5
14533     if (exit $ac_status) && test -s out/conftest2.$ac_objext
14534     then
14535       # The compiler can only warn and ignore the option if not recognized
# Line 16725 | Line 16712 | else
16712     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
16713     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
16714     -e 's:$: $lt_compiler_flag:'`
16715 <   (eval echo "\"\$as_me:16728: $lt_compile\"" >&5)
16715 >   (eval echo "\"\$as_me:16715: $lt_compile\"" >&5)
16716     (eval "$lt_compile" 2>conftest.err)
16717     ac_status=$?
16718     cat conftest.err >&5
16719 <   echo "$as_me:16732: \$? = $ac_status" >&5
16719 >   echo "$as_me:16719: \$? = $ac_status" >&5
16720     if (exit $ac_status) && test -s "$ac_outfile"; then
16721       # The compiler can only warn and ignore the option if not recognized
16722       # So say no if there are warnings other than the usual output.
# Line 17015 | Line 17002 | else
17002     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
17003     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
17004     -e 's:$: $lt_compiler_flag:'`
17005 <   (eval echo "\"\$as_me:17018: $lt_compile\"" >&5)
17005 >   (eval echo "\"\$as_me:17005: $lt_compile\"" >&5)
17006     (eval "$lt_compile" 2>conftest.err)
17007     ac_status=$?
17008     cat conftest.err >&5
17009 <   echo "$as_me:17022: \$? = $ac_status" >&5
17009 >   echo "$as_me:17009: \$? = $ac_status" >&5
17010     if (exit $ac_status) && test -s "$ac_outfile"; then
17011       # The compiler can only warn and ignore the option if not recognized
17012       # So say no if there are warnings other than the usual output.
# Line 17119 | Line 17106 | else
17106     -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
17107     -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
17108     -e 's:$: $lt_compiler_flag:'`
17109 <   (eval echo "\"\$as_me:17122: $lt_compile\"" >&5)
17109 >   (eval echo "\"\$as_me:17109: $lt_compile\"" >&5)
17110     (eval "$lt_compile" 2>out/conftest.err)
17111     ac_status=$?
17112     cat out/conftest.err >&5
17113 <   echo "$as_me:17126: \$? = $ac_status" >&5
17113 >   echo "$as_me:17113: \$? = $ac_status" >&5
17114     if (exit $ac_status) && test -s out/conftest2.$ac_objext
17115     then
17116       # The compiler can only warn and ignore the option if not recognized
# Line 19773 | Line 19760 | LIBTOOL='$(SHELL) $(top_builddir)/libtoo
19760  
19761   LIBTOOL="$LIBTOOL --silent"
19762  
19763 +
19764   # Checks for libraries.
19765  
19766    { echo "$as_me:$LINENO: checking for library containing socket" >&5
# Line 20321 | Line 20309 | fi
20309  
20310  
20311  
20324        { echo "$as_me:$LINENO: checking for library containing crypt" >&5
20325 echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
20326 if test "${ac_cv_search_crypt+set}" = set; then
20327  echo $ECHO_N "(cached) $ECHO_C" >&6
20328 else
20329  ac_func_search_save_LIBS=$LIBS
20330 cat >conftest.$ac_ext <<_ACEOF
20331 /* confdefs.h.  */
20332 _ACEOF
20333 cat confdefs.h >>conftest.$ac_ext
20334 cat >>conftest.$ac_ext <<_ACEOF
20335 /* end confdefs.h.  */
20336
20337 /* Override any GCC internal prototype to avoid an error.
20338   Use char because int might match the return type of a GCC
20339   builtin and then its argument prototype would still apply.  */
20340 #ifdef __cplusplus
20341 extern "C"
20342 #endif
20343 char crypt ();
20344 int
20345 main ()
20346 {
20347 return crypt ();
20348  ;
20349  return 0;
20350 }
20351 _ACEOF
20352 for ac_lib in '' crypt descrypt; do
20353  if test -z "$ac_lib"; then
20354    ac_res="none required"
20355  else
20356    ac_res=-l$ac_lib
20357    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
20358  fi
20359  rm -f conftest.$ac_objext conftest$ac_exeext
20360 if { (ac_try="$ac_link"
20361 case "(($ac_try" in
20362  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20363  *) ac_try_echo=$ac_try;;
20364 esac
20365 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20366  (eval "$ac_link") 2>conftest.er1
20367  ac_status=$?
20368  grep -v '^ *+' conftest.er1 >conftest.err
20369  rm -f conftest.er1
20370  cat conftest.err >&5
20371  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20372  (exit $ac_status); } && {
20373         test -z "$ac_c_werror_flag" ||
20374         test ! -s conftest.err
20375       } && test -s conftest$ac_exeext &&
20376       $as_test_x conftest$ac_exeext; then
20377  ac_cv_search_crypt=$ac_res
20378 else
20379  echo "$as_me: failed program was:" >&5
20380 sed 's/^/| /' conftest.$ac_ext >&5
20381
20382
20383 fi
20384
20385 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
20386      conftest$ac_exeext
20387  if test "${ac_cv_search_crypt+set}" = set; then
20388  break
20389 fi
20390 done
20391 if test "${ac_cv_search_crypt+set}" = set; then
20392  :
20393 else
20394  ac_cv_search_crypt=no
20395 fi
20396 rm conftest.$ac_ext
20397 LIBS=$ac_func_search_save_LIBS
20398 fi
20399 { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5
20400 echo "${ECHO_T}$ac_cv_search_crypt" >&6; }
20401 ac_res=$ac_cv_search_crypt
20402 if test "$ac_res" != no; then
20403  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
20404
20405 fi
20406
20407   if test "$ac_cv_search_crypt" = "none required"; then
20408  HAVE_CRYPT_TRUE=
20409  HAVE_CRYPT_FALSE='#'
20410 else
20411  HAVE_CRYPT_TRUE='#'
20412  HAVE_CRYPT_FALSE=
20413 fi
20414
20415
20416
20417 # Checks for header files.
20418
20419 for ac_header in sys/resource.h
20420 do
20421 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
20422 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20423  { echo "$as_me:$LINENO: checking for $ac_header" >&5
20424 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
20425 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20426  echo $ECHO_N "(cached) $ECHO_C" >&6
20427 fi
20428 ac_res=`eval echo '${'$as_ac_Header'}'`
20429               { echo "$as_me:$LINENO: result: $ac_res" >&5
20430 echo "${ECHO_T}$ac_res" >&6; }
20431 else
20432  # Is the header compilable?
20433 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
20434 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
20435 cat >conftest.$ac_ext <<_ACEOF
20436 /* confdefs.h.  */
20437 _ACEOF
20438 cat confdefs.h >>conftest.$ac_ext
20439 cat >>conftest.$ac_ext <<_ACEOF
20440 /* end confdefs.h.  */
20441 $ac_includes_default
20442 #include <$ac_header>
20443 _ACEOF
20444 rm -f conftest.$ac_objext
20445 if { (ac_try="$ac_compile"
20446 case "(($ac_try" in
20447  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20448  *) ac_try_echo=$ac_try;;
20449 esac
20450 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20451  (eval "$ac_compile") 2>conftest.er1
20452  ac_status=$?
20453  grep -v '^ *+' conftest.er1 >conftest.err
20454  rm -f conftest.er1
20455  cat conftest.err >&5
20456  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20457  (exit $ac_status); } && {
20458         test -z "$ac_c_werror_flag" ||
20459         test ! -s conftest.err
20460       } && test -s conftest.$ac_objext; then
20461  ac_header_compiler=yes
20462 else
20463  echo "$as_me: failed program was:" >&5
20464 sed 's/^/| /' conftest.$ac_ext >&5
20465
20466        ac_header_compiler=no
20467 fi
20468
20469 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
20470 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
20471 echo "${ECHO_T}$ac_header_compiler" >&6; }
20472
20473 # Is the header present?
20474 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
20475 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
20476 cat >conftest.$ac_ext <<_ACEOF
20477 /* confdefs.h.  */
20478 _ACEOF
20479 cat confdefs.h >>conftest.$ac_ext
20480 cat >>conftest.$ac_ext <<_ACEOF
20481 /* end confdefs.h.  */
20482 #include <$ac_header>
20483 _ACEOF
20484 if { (ac_try="$ac_cpp conftest.$ac_ext"
20485 case "(($ac_try" in
20486  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
20487  *) ac_try_echo=$ac_try;;
20488 esac
20489 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
20490  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
20491  ac_status=$?
20492  grep -v '^ *+' conftest.er1 >conftest.err
20493  rm -f conftest.er1
20494  cat conftest.err >&5
20495  echo "$as_me:$LINENO: \$? = $ac_status" >&5
20496  (exit $ac_status); } >/dev/null && {
20497         test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
20498         test ! -s conftest.err
20499       }; then
20500  ac_header_preproc=yes
20501 else
20502  echo "$as_me: failed program was:" >&5
20503 sed 's/^/| /' conftest.$ac_ext >&5
20504
20505  ac_header_preproc=no
20506 fi
20507
20508 rm -f conftest.err conftest.$ac_ext
20509 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
20510 echo "${ECHO_T}$ac_header_preproc" >&6; }
20511
20512 # So?  What about this header?
20513 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
20514  yes:no: )
20515    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
20516 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
20517    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
20518 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
20519    ac_header_preproc=yes
20520    ;;
20521  no:yes:* )
20522    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
20523 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
20524    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
20525 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
20526    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
20527 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
20528    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
20529 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
20530    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
20531 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
20532    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
20533 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
20534
20535    ;;
20536 esac
20537 { echo "$as_me:$LINENO: checking for $ac_header" >&5
20538 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
20539 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
20540  echo $ECHO_N "(cached) $ECHO_C" >&6
20541 else
20542  eval "$as_ac_Header=\$ac_header_preproc"
20543 fi
20544 ac_res=`eval echo '${'$as_ac_Header'}'`
20545               { echo "$as_me:$LINENO: result: $ac_res" >&5
20546 echo "${ECHO_T}$ac_res" >&6; }
20547
20548 fi
20549 if test `eval echo '${'$as_ac_Header'}'` = yes; then
20550  cat >>confdefs.h <<_ACEOF
20551 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
20552 _ACEOF
20553
20554 fi
20555
20556 done
20557 # ick
20312  
20313   # Checks for typedefs, structures, and compiler characteristics.
20314   { echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
# Line 22130 | Line 21884 | done
21884  
21885  
21886  
21887 + # Checks for header files.
21888  
21889  
21890  
# Line 22327 | Line 22082 | done
22082  
22083  
22084  
22085 + { echo "$as_me:$LINENO: checking for /dev/null" >&5
22086 + echo $ECHO_N "checking for /dev/null... $ECHO_C" >&6; }
22087 + if test -c /dev/null ; then
22088 +
22089 + cat >>confdefs.h <<\_ACEOF
22090 + #define PATH_DEVNULL "/dev/null"
22091 + _ACEOF
22092 +
22093 +  { echo "$as_me:$LINENO: result: yes" >&5
22094 + echo "${ECHO_T}yes" >&6; }
22095 + else
22096 +
22097 + cat >>confdefs.h <<\_ACEOF
22098 + #define PATH_DEVNULL "devnull.log"
22099 + _ACEOF
22100 +
22101 +  { echo "$as_me:$LINENO: result: no - using devnull.log" >&5
22102 + echo "${ECHO_T}no - using devnull.log" >&6; }
22103 + fi
22104 +
22105 +
22106 + { echo "$as_me:$LINENO: checking for library containing crypt" >&5
22107 + echo $ECHO_N "checking for library containing crypt... $ECHO_C" >&6; }
22108 + if test "${ac_cv_search_crypt+set}" = set; then
22109 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22110 + else
22111 +  ac_func_search_save_LIBS=$LIBS
22112 + cat >conftest.$ac_ext <<_ACEOF
22113 + /* confdefs.h.  */
22114 + _ACEOF
22115 + cat confdefs.h >>conftest.$ac_ext
22116 + cat >>conftest.$ac_ext <<_ACEOF
22117 + /* end confdefs.h.  */
22118 +
22119 + /* Override any GCC internal prototype to avoid an error.
22120 +   Use char because int might match the return type of a GCC
22121 +   builtin and then its argument prototype would still apply.  */
22122 + #ifdef __cplusplus
22123 + extern "C"
22124 + #endif
22125 + char crypt ();
22126 + int
22127 + main ()
22128 + {
22129 + return crypt ();
22130 +  ;
22131 +  return 0;
22132 + }
22133 + _ACEOF
22134 + for ac_lib in '' crypt descrypt; do
22135 +  if test -z "$ac_lib"; then
22136 +    ac_res="none required"
22137 +  else
22138 +    ac_res=-l$ac_lib
22139 +    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
22140 +  fi
22141 +  rm -f conftest.$ac_objext conftest$ac_exeext
22142 + if { (ac_try="$ac_link"
22143 + case "(($ac_try" in
22144 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22145 +  *) ac_try_echo=$ac_try;;
22146 + esac
22147 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22148 +  (eval "$ac_link") 2>conftest.er1
22149 +  ac_status=$?
22150 +  grep -v '^ *+' conftest.er1 >conftest.err
22151 +  rm -f conftest.er1
22152 +  cat conftest.err >&5
22153 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22154 +  (exit $ac_status); } && {
22155 +         test -z "$ac_c_werror_flag" ||
22156 +         test ! -s conftest.err
22157 +       } && test -s conftest$ac_exeext &&
22158 +       $as_test_x conftest$ac_exeext; then
22159 +  ac_cv_search_crypt=$ac_res
22160 + else
22161 +  echo "$as_me: failed program was:" >&5
22162 + sed 's/^/| /' conftest.$ac_ext >&5
22163 +
22164 +
22165 + fi
22166 +
22167 + rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22168 +      conftest$ac_exeext
22169 +  if test "${ac_cv_search_crypt+set}" = set; then
22170 +  break
22171 + fi
22172 + done
22173 + if test "${ac_cv_search_crypt+set}" = set; then
22174 +  :
22175 + else
22176 +  ac_cv_search_crypt=no
22177 + fi
22178 + rm conftest.$ac_ext
22179 + LIBS=$ac_func_search_save_LIBS
22180 + fi
22181 + { echo "$as_me:$LINENO: result: $ac_cv_search_crypt" >&5
22182 + echo "${ECHO_T}$ac_cv_search_crypt" >&6; }
22183 + ac_res=$ac_cv_search_crypt
22184 + if test "$ac_res" != no; then
22185 +  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
22186 +
22187 + fi
22188 +
22189 + if test "$ac_cv_search_crypt" = "none required"; then
22190 +  HAVE_CRYPT_TRUE=
22191 +  HAVE_CRYPT_FALSE='#'
22192 + else
22193 +  HAVE_CRYPT_TRUE='#'
22194 +  HAVE_CRYPT_FALSE=
22195 + fi
22196 +
22197 +
22198 +
22199 +
22200 + # Check whether --with-zlib-path was given.
22201 + if test "${with_zlib_path+set}" = set; then
22202 +  withval=$with_zlib_path; LDFLAGS="-L$withval $LDFLAGS"
22203 + fi
22204 +
22205 +
22206 + # Check whether --enable-zlib was given.
22207 + if test "${enable_zlib+set}" = set; then
22208 +  enableval=$enable_zlib; zlib=$enableval
22209 + else
22210 +  zlib=yes
22211 + fi
22212 +
22213 +
22214 + if test "$zlib" = yes; then
22215 +  if test "${ac_cv_header_zlib_h+set}" = set; then
22216 +  { echo "$as_me:$LINENO: checking for zlib.h" >&5
22217 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22218 + if test "${ac_cv_header_zlib_h+set}" = set; then
22219 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22220 + fi
22221 + { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22222 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22223 + else
22224 +  # Is the header compilable?
22225 + { echo "$as_me:$LINENO: checking zlib.h usability" >&5
22226 + echo $ECHO_N "checking zlib.h usability... $ECHO_C" >&6; }
22227 + cat >conftest.$ac_ext <<_ACEOF
22228 + /* confdefs.h.  */
22229 + _ACEOF
22230 + cat confdefs.h >>conftest.$ac_ext
22231 + cat >>conftest.$ac_ext <<_ACEOF
22232 + /* end confdefs.h.  */
22233 + $ac_includes_default
22234 + #include <zlib.h>
22235 + _ACEOF
22236 + rm -f conftest.$ac_objext
22237 + if { (ac_try="$ac_compile"
22238 + case "(($ac_try" in
22239 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22240 +  *) ac_try_echo=$ac_try;;
22241 + esac
22242 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22243 +  (eval "$ac_compile") 2>conftest.er1
22244 +  ac_status=$?
22245 +  grep -v '^ *+' conftest.er1 >conftest.err
22246 +  rm -f conftest.er1
22247 +  cat conftest.err >&5
22248 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22249 +  (exit $ac_status); } && {
22250 +         test -z "$ac_c_werror_flag" ||
22251 +         test ! -s conftest.err
22252 +       } && test -s conftest.$ac_objext; then
22253 +  ac_header_compiler=yes
22254 + else
22255 +  echo "$as_me: failed program was:" >&5
22256 + sed 's/^/| /' conftest.$ac_ext >&5
22257 +
22258 +        ac_header_compiler=no
22259 + fi
22260 +
22261 + rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
22262 + { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
22263 + echo "${ECHO_T}$ac_header_compiler" >&6; }
22264 +
22265 + # Is the header present?
22266 + { echo "$as_me:$LINENO: checking zlib.h presence" >&5
22267 + echo $ECHO_N "checking zlib.h presence... $ECHO_C" >&6; }
22268 + cat >conftest.$ac_ext <<_ACEOF
22269 + /* confdefs.h.  */
22270 + _ACEOF
22271 + cat confdefs.h >>conftest.$ac_ext
22272 + cat >>conftest.$ac_ext <<_ACEOF
22273 + /* end confdefs.h.  */
22274 + #include <zlib.h>
22275 + _ACEOF
22276 + if { (ac_try="$ac_cpp conftest.$ac_ext"
22277 + case "(($ac_try" in
22278 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22279 +  *) ac_try_echo=$ac_try;;
22280 + esac
22281 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22282 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
22283 +  ac_status=$?
22284 +  grep -v '^ *+' conftest.er1 >conftest.err
22285 +  rm -f conftest.er1
22286 +  cat conftest.err >&5
22287 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22288 +  (exit $ac_status); } >/dev/null && {
22289 +         test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
22290 +         test ! -s conftest.err
22291 +       }; then
22292 +  ac_header_preproc=yes
22293 + else
22294 +  echo "$as_me: failed program was:" >&5
22295 + sed 's/^/| /' conftest.$ac_ext >&5
22296 +
22297 +  ac_header_preproc=no
22298 + fi
22299 +
22300 + rm -f conftest.err conftest.$ac_ext
22301 + { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
22302 + echo "${ECHO_T}$ac_header_preproc" >&6; }
22303 +
22304 + # So?  What about this header?
22305 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
22306 +  yes:no: )
22307 +    { echo "$as_me:$LINENO: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&5
22308 + echo "$as_me: WARNING: zlib.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
22309 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the compiler's result" >&5
22310 + echo "$as_me: WARNING: zlib.h: proceeding with the compiler's result" >&2;}
22311 +    ac_header_preproc=yes
22312 +    ;;
22313 +  no:yes:* )
22314 +    { echo "$as_me:$LINENO: WARNING: zlib.h: present but cannot be compiled" >&5
22315 + echo "$as_me: WARNING: zlib.h: present but cannot be compiled" >&2;}
22316 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     check for missing prerequisite headers?" >&5
22317 + echo "$as_me: WARNING: zlib.h:     check for missing prerequisite headers?" >&2;}
22318 +    { echo "$as_me:$LINENO: WARNING: zlib.h: see the Autoconf documentation" >&5
22319 + echo "$as_me: WARNING: zlib.h: see the Autoconf documentation" >&2;}
22320 +    { echo "$as_me:$LINENO: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&5
22321 + echo "$as_me: WARNING: zlib.h:     section \"Present But Cannot Be Compiled\"" >&2;}
22322 +    { echo "$as_me:$LINENO: WARNING: zlib.h: proceeding with the preprocessor's result" >&5
22323 + echo "$as_me: WARNING: zlib.h: proceeding with the preprocessor's result" >&2;}
22324 +    { echo "$as_me:$LINENO: WARNING: zlib.h: in the future, the compiler will take precedence" >&5
22325 + echo "$as_me: WARNING: zlib.h: in the future, the compiler will take precedence" >&2;}
22326 +
22327 +    ;;
22328 + esac
22329 + { echo "$as_me:$LINENO: checking for zlib.h" >&5
22330 + echo $ECHO_N "checking for zlib.h... $ECHO_C" >&6; }
22331 + if test "${ac_cv_header_zlib_h+set}" = set; then
22332 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22333 + else
22334 +  ac_cv_header_zlib_h=$ac_header_preproc
22335 + fi
22336 + { echo "$as_me:$LINENO: result: $ac_cv_header_zlib_h" >&5
22337 + echo "${ECHO_T}$ac_cv_header_zlib_h" >&6; }
22338 +
22339 + fi
22340 + if test $ac_cv_header_zlib_h = yes; then
22341 +  { echo "$as_me:$LINENO: checking for zlibVersion in -lz" >&5
22342 + echo $ECHO_N "checking for zlibVersion in -lz... $ECHO_C" >&6; }
22343 + if test "${ac_cv_lib_z_zlibVersion+set}" = set; then
22344 +  echo $ECHO_N "(cached) $ECHO_C" >&6
22345 + else
22346 +  ac_check_lib_save_LIBS=$LIBS
22347 + LIBS="-lz  $LIBS"
22348 + cat >conftest.$ac_ext <<_ACEOF
22349 + /* confdefs.h.  */
22350 + _ACEOF
22351 + cat confdefs.h >>conftest.$ac_ext
22352 + cat >>conftest.$ac_ext <<_ACEOF
22353 + /* end confdefs.h.  */
22354 +
22355 + /* Override any GCC internal prototype to avoid an error.
22356 +   Use char because int might match the return type of a GCC
22357 +   builtin and then its argument prototype would still apply.  */
22358 + #ifdef __cplusplus
22359 + extern "C"
22360 + #endif
22361 + char zlibVersion ();
22362 + int
22363 + main ()
22364 + {
22365 + return zlibVersion ();
22366 +  ;
22367 +  return 0;
22368 + }
22369 + _ACEOF
22370 + rm -f conftest.$ac_objext conftest$ac_exeext
22371 + if { (ac_try="$ac_link"
22372 + case "(($ac_try" in
22373 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
22374 +  *) ac_try_echo=$ac_try;;
22375 + esac
22376 + eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
22377 +  (eval "$ac_link") 2>conftest.er1
22378 +  ac_status=$?
22379 +  grep -v '^ *+' conftest.er1 >conftest.err
22380 +  rm -f conftest.er1
22381 +  cat conftest.err >&5
22382 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
22383 +  (exit $ac_status); } && {
22384 +         test -z "$ac_c_werror_flag" ||
22385 +         test ! -s conftest.err
22386 +       } && test -s conftest$ac_exeext &&
22387 +       $as_test_x conftest$ac_exeext; then
22388 +  ac_cv_lib_z_zlibVersion=yes
22389 + else
22390 +  echo "$as_me: failed program was:" >&5
22391 + sed 's/^/| /' conftest.$ac_ext >&5
22392 +
22393 +        ac_cv_lib_z_zlibVersion=no
22394 + fi
22395 +
22396 + rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
22397 +      conftest$ac_exeext conftest.$ac_ext
22398 + LIBS=$ac_check_lib_save_LIBS
22399 + fi
22400 + { echo "$as_me:$LINENO: result: $ac_cv_lib_z_zlibVersion" >&5
22401 + echo "${ECHO_T}$ac_cv_lib_z_zlibVersion" >&6; }
22402 + if test $ac_cv_lib_z_zlibVersion = yes; then
22403 +
22404 +      LIBS="-lz $LIBS"
22405 +
22406 + cat >>confdefs.h <<\_ACEOF
22407 + #define HAVE_LIBZ 1
22408 + _ACEOF
22409 +
22410 +
22411 + else
22412 +  zlib=no
22413 + fi
22414 +
22415 +
22416 + else
22417 +  zlib=no
22418 + fi
22419 +
22420 +
22421 + fi
22422  
22423  
22424   # Check whether --enable-openssl was given.
# Line 22372 | Line 22464 | if test "$cf_enable_openssl" != "no"; th
22464      { echo "$as_me:$LINENO: result: $cf_openssl_basedir" >&5
22465   echo "${ECHO_T}$cf_openssl_basedir" >&6; }
22466      cf_enable_openssl="yes"
22467 <    cat >>confdefs.h <<\_ACEOF
22467 >
22468 > cat >>confdefs.h <<\_ACEOF
22469   #define HAVE_LIBCRYPTO 1
22470   _ACEOF
22471  
# Line 22386 | Line 22479 | else
22479      { echo "$as_me:$LINENO: result: disabled" >&5
22480   echo "${ECHO_T}disabled" >&6; }
22481   fi
22482 < if test x"$cf_enable_openssl" = xyes; then
22482 > if test "$cf_enable_openssl" = yes; then
22483    ENABLE_SSL_TRUE=
22484    ENABLE_SSL_FALSE='#'
22485   else
# Line 22396 | Line 22489 | fi
22489  
22490  
22491  
22492 + # Check whether --enable-assert was given.
22493 + if test "${enable_assert+set}" = set; then
22494 +  enableval=$enable_assert; assert=$enableval
22495 + else
22496 +  assert=no
22497 + fi
22498 +
22499 + if test "$assert" = no; then
22500 +
22501 + cat >>confdefs.h <<\_ACEOF
22502 + #define NDEBUG 1
22503 + _ACEOF
22504 +
22505 + fi
22506 +
22507 +
22508 + # Check whether --enable-small-net was given.
22509 + if test "${enable_small_net+set}" = set; then
22510 +  enableval=$enable_small_net; small_net=$enableval
22511 + else
22512 +  small_net=no
22513 + fi
22514 +
22515 +
22516 + if test "$small_net" = yes; then
22517 +
22518 + cat >>confdefs.h <<\_ACEOF
22519 + #define NICKNAMEHISTORYLENGTH 1500
22520 + _ACEOF
22521 +
22522 +
22523 + cat >>confdefs.h <<\_ACEOF
22524 + #define CHANNEL_HEAP_SIZE 256
22525 + _ACEOF
22526 +
22527 +
22528 + cat >>confdefs.h <<\_ACEOF
22529 + #define BAN_HEAP_SIZE 128
22530 + _ACEOF
22531 +
22532 +
22533 + cat >>confdefs.h <<\_ACEOF
22534 + #define CLIENT_HEAP_SIZE 256
22535 + _ACEOF
22536 +
22537 +
22538 + cat >>confdefs.h <<\_ACEOF
22539 + #define LCLIENT_HEAP_SIZE 128
22540 + _ACEOF
22541 +
22542 +
22543 + cat >>confdefs.h <<\_ACEOF
22544 + #define DNODE_HEAP_SIZE 256
22545 + _ACEOF
22546 +
22547 +
22548 + cat >>confdefs.h <<\_ACEOF
22549 + #define TOPIC_HEAP_SIZE 256
22550 + _ACEOF
22551 +
22552 +
22553 + cat >>confdefs.h <<\_ACEOF
22554 + #define DBUF_HEAP_SIZE 64
22555 + _ACEOF
22556 +
22557 + else
22558 +
22559 + cat >>confdefs.h <<\_ACEOF
22560 + #define NICKNAMEHISTORYLENGTH 15000
22561 + _ACEOF
22562 +
22563 +
22564 + cat >>confdefs.h <<\_ACEOF
22565 + #define CHANNEL_HEAP_SIZE 1024
22566 + _ACEOF
22567 +
22568 +
22569 + cat >>confdefs.h <<\_ACEOF
22570 + #define BAN_HEAP_SIZE 1024
22571 + _ACEOF
22572 +
22573 +
22574 + cat >>confdefs.h <<\_ACEOF
22575 + #define CLIENT_HEAP_SIZE 1024
22576 + _ACEOF
22577 +
22578 +
22579 + cat >>confdefs.h <<\_ACEOF
22580 + #define LCLIENT_HEAP_SIZE 512
22581 + _ACEOF
22582 +
22583 +
22584 + cat >>confdefs.h <<\_ACEOF
22585 + #define DNODE_HEAP_SIZE 1024
22586 + _ACEOF
22587 +
22588 +
22589 + cat >>confdefs.h <<\_ACEOF
22590 + #define TOPIC_HEAP_SIZE 1024
22591 + _ACEOF
22592 +
22593 +
22594 + cat >>confdefs.h <<\_ACEOF
22595 + #define DBUF_HEAP_SIZE 512
22596 + _ACEOF
22597 +
22598 + fi
22599 +
22600   # Argument processing.
22601  
22602      desired_iopoll_mechanism="none"
# Line 22996 | Line 23197 | _ACEOF
23197  
23198  
23199  
22999 # Check whether --with-lclient-heap-size was given.
23000 if test "${with_lclient_heap_size+set}" = set; then
23001  withval=$with_lclient_heap_size; lclient_heap_size="$withval"
23002 else
23003  lclient_heap_size="256"
23004 fi
23005
23006
23007 cat >>confdefs.h <<_ACEOF
23008 #define LCLIENT_HEAP_SIZE $lclient_heap_size
23009 _ACEOF
23010
23011
23012
23013
23014 # Check whether --with-client-heap-size was given.
23015 if test "${with_client_heap_size+set}" = set; then
23016  withval=$with_client_heap_size; client_heap_size="$withval"
23017 else
23018  client_heap_size="256"
23019 fi
23020
23021
23022 cat >>confdefs.h <<_ACEOF
23023 #define CLIENT_HEAP_SIZE $client_heap_size
23024 _ACEOF
23025
23026
23027
23028
23029 # Check whether --with-channel-heap-size was given.
23030 if test "${with_channel_heap_size+set}" = set; then
23031  withval=$with_channel_heap_size; channel_heap_size="$withval"
23032 else
23033  channel_heap_size="256"
23034 fi
23035
23036
23037 cat >>confdefs.h <<_ACEOF
23038 #define CHANNEL_HEAP_SIZE $channel_heap_size
23039 _ACEOF
23040
23041
23042
23043
23044 # Check whether --with-dbuf-heap-size was given.
23045 if test "${with_dbuf_heap_size+set}" = set; then
23046  withval=$with_dbuf_heap_size; dbuf_heap_size="$withval"
23047 else
23048  dbuf_heap_size="64"
23049 fi
23050
23051
23052 cat >>confdefs.h <<_ACEOF
23053 #define DBUF_HEAP_SIZE $dbuf_heap_size
23054 _ACEOF
23055
23056
23057
23058
23059 # Check whether --with-dnode-heap-size was given.
23060 if test "${with_dnode_heap_size+set}" = set; then
23061  withval=$with_dnode_heap_size; dnode_heap_size="$withval"
23062 else
23063  dnode_heap_size="256"
23064 fi
23065
23066
23067 cat >>confdefs.h <<_ACEOF
23068 #define DNODE_HEAP_SIZE $dnode_heap_size
23069 _ACEOF
23070
23071
23072
23073
23074 # Check whether --with-ban-heap-size was given.
23075 if test "${with_ban_heap_size+set}" = set; then
23076  withval=$with_ban_heap_size; ban_heap_size="$withval"
23077 else
23078  ban_heap_size="128"
23079 fi
23080
23081
23082 cat >>confdefs.h <<_ACEOF
23083 #define BAN_HEAP_SIZE $ban_heap_size
23084 _ACEOF
23085
23086
23087
23088
23089 # Check whether --with-topic-heap-size was given.
23090 if test "${with_topic_heap_size+set}" = set; then
23091  withval=$with_topic_heap_size; topic_heap_size="$withval"
23092 else
23093  topic_heap_size="256"
23094 fi
23095
23096
23097 cat >>confdefs.h <<_ACEOF
23098 #define TOPIC_HEAP_SIZE $topic_heap_size
23099 _ACEOF
23100
23101
23102
23103
23104 # Check whether --with-ircd-heap-size was given.
23105 if test "${with_ircd_heap_size+set}" = set; then
23106  withval=$with_ircd_heap_size; ircd_heap_size="$withval"
23107 else
23108  ircd_heap_size="8"
23109 fi
23110
23111
23112 cat >>confdefs.h <<_ACEOF
23113 #define IRCD_HEAP_SIZE $ircd_heap_size
23114 _ACEOF
23115
23116
23117
23118
23119 # Check whether --with-mqueue-heap-size was given.
23120 if test "${with_mqueue_heap_size+set}" = set; then
23121  withval=$with_mqueue_heap_size; mqueue_heap_size="$withval"
23122 else
23123  mqueue_heap_size="256"
23124 fi
23125
23126
23127 cat >>confdefs.h <<_ACEOF
23128 #define MQUEUE_HEAP_SIZE $mqueue_heap_size
23129 _ACEOF
23130
23131
23132
23133
23134 # Check whether --with-fmsg-heap-size was given.
23135 if test "${with_fmsg_heap_size+set}" = set; then
23136  withval=$with_fmsg_heap_size; fmsg_heap_size="$withval"
23137 else
23138  fmsg_heap_size="256"
23139 fi
23140
23141
23142 cat >>confdefs.h <<_ACEOF
23143 #define FMSG_HEAP_SIZE $fmsg_heap_size
23144 _ACEOF
23145
23146
23147
23148
23149 # Check whether --with-nickname-history-length was given.
23150 if test "${with_nickname_history_length+set}" = set; then
23151  withval=$with_nickname_history_length; nickname_history_length="$withval"
23152 else
23153  nickname_history_length="1500"
23154 fi
23155
23156
23157 cat >>confdefs.h <<_ACEOF
23158 #define NICKNAMEHISTORYLENGTH $nickname_history_length
23159 _ACEOF
23160
23161
23162
23163
23200   # Check whether --with-syslog-facility was given.
23201   if test "${with_syslog_facility+set}" = set; then
23202    withval=$with_syslog_facility; syslog_facility="$withval"
# Line 23526 | Line 23562 | _ACEOF
23562   subdirs="$subdirs libltdl"
23563  
23564  
23565 < ac_config_files="$ac_config_files Makefile etc/Makefile etc/example.conf etc/example.conf.quick etc/example.efnet.conf servlink/Makefile contrib/Makefile contrib/help/Makefile src/Makefile messages/Makefile modules/Makefile modules/core/Makefile doc/Makefile help/Makefile help/opers/Makefile help/users/Makefile lib/Makefile lib/pcre/Makefile"
23565 > ac_config_files="$ac_config_files Makefile etc/Makefile etc/example.conf etc/example.conf.quick etc/example.efnet.conf servlink/Makefile contrib/Makefile contrib/help/Makefile src/Makefile messages/Makefile modules/Makefile modules/core/Makefile doc/Makefile help/Makefile help/opers/Makefile help/users/Makefile lib/Makefile lib/pcre/Makefile tools/Makefile"
23566  
23567  
23568   cat >confcache <<\_ACEOF
# Line 24161 | Line 24197 | do
24197      "help/users/Makefile") CONFIG_FILES="$CONFIG_FILES help/users/Makefile" ;;
24198      "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
24199      "lib/pcre/Makefile") CONFIG_FILES="$CONFIG_FILES lib/pcre/Makefile" ;;
24200 +    "tools/Makefile") CONFIG_FILES="$CONFIG_FILES tools/Makefile" ;;
24201  
24202    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
24203   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}

Diff Legend

Removed lines
+ Added lines
< Changed lines (old)
> Changed lines (new)